<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: share_this_fbl_admin.php
| Author: Fangree Productions
| Version: Share This V5.00
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
include INFUSIONS."share_this/infusion_db.php";

if (!checkrights("SHP")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."share_this/locale/".$settings['locale'].".php")) {
	include INFUSIONS."share_this/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."share_this/locale/English.php";
}

add_to_title($locale['global_200'].$locale['sta010']." - ".$locale['fbl016']);

// Boxover Javascript
add_to_footer("<script src='".INFUSIONS."share_this/includes/boxover.js' type='text/javascript'></script>");

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

    $stsettings = dbarray(dbquery("SELECT * FROM ".DB_SHARE_TABLE.""));
    $error = 0;

	$flfaenable=(isset($_POST['flfaenable']) && isNum($_POST['flfaenable'])) ? $_POST['flfaenable'] : "0";
	$fllayout=(isset($_POST['fllayout']) && isNum($_POST['fllayout'])) ? $_POST['fllayout'] : "0";
	$flnenable=(isset($_POST['flnenable']) && isNum($_POST['flnenable'])) ? $_POST['flnenable'] : "0";
	$flaenable=(isset($_POST['flaenable']) && isNum($_POST['flaenable'])) ? $_POST['flaenable'] : "0";
	$flfenable=(isset($_POST['flfenable']) && isNum($_POST['flfenable'])) ? $_POST['flfenable'] : "0";
	$flphenable=(isset($_POST['flphenable']) && isNum($_POST['flphenable'])) ? $_POST['flphenable'] : "0";
	$flcenable=(isset($_POST['flcenable']) && isNum($_POST['flcenable'])) ? $_POST['flcenable'] : "0";
    $fldlenable=(isset($_POST['fldlenable']) && isNum($_POST['fldlenable'])) ? $_POST['fldlenable'] : "0";
	
	
if (isset($_POST['savesettings'])) {
    $result = dbquery("UPDATE ".DB_SHARE_TABLE." SET
	flfaenable='$flfaenable', fllayout='$fllayout', flnenable='$flnenable', flaenable='$flaenable', flfenable='$flfenable', flphenable='$flphenable', flcenable='$flcenable', fldlenable='$fldlenable'");
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

include INFUSIONS."share_this/includes/share_this_admin_includes.php";	

	opentable($locale['sta010']." - ".$locale['fbl016']);
	//Facebook Like Button Styles Management 
	echo"<div class='admin-message-st center'><div class='admin-message'>".$locale['fbl008']."</div></div>\n";
	
	echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='60%' class='tbl-border' align='center'>\n<tr>\n";
	//Facebook Like  Button Show Faces
	echo "<td class='tbl tbl-st'>".$locale['fbl010']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='flfaenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['flfaenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['flfaenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Facebook Like  Button Layout
	echo "<td class='tbl tbl-st'>".$locale['fbl015']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='fllayout' class='textbox'>\n";
	echo "<option value='1'".($stsettings['fllayout'] == "1" ? " selected='selected'" : "").">".$locale['fbl012']."</option>\n";
	echo "<option value='0'".($stsettings['fllayout'] == "0" ? " selected='selected'" : "").">".$locale['fbl014']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Facebook Like News  Activation
	echo "<td class='tbl tbl-st'>".$locale['fbl002']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='flnenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['flnenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['flnenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Facebook Like Article  Activation
	echo "<td class='tbl tbl-st'>".$locale['fbl003']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='flaenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['flaenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['flaenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Facebook Like Page  Activation
	echo "<td class='tbl tbl-st'>".$locale['fbl006']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='flcenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['flcenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['flcenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Facebook Like Download  Activation
	echo "<td class='tbl tbl-st'>".$locale['fbl007']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='fldlenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['fldlenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['fldlenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Facebook Like Thread   Activation
	echo "<td class='tbl tbl-st'>".$locale['fbl004']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='flfenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['flfenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['flfenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Facebook Like Photo  Activation
	echo "<td class='tbl tbl-st'>".$locale['fbl005']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='flphenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['flphenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['flphenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n</tr>\n";

	echo"</table>\n";

	//Save
	echo "<div width='60%' class='tbl' align='center'>\n";
	echo "<input type='submit' name='savesettings' value='".$locale['sta009']."' class='button' />\n";
	echo"</div>\n";
	echo "</form>\n";

	closetable();
	
	// Please do not remove copyright info
	 echo"<!--share_this_copyright-->\n";
	// End copyright info

require_once THEMES."templates/footer.php";
?>