<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: share_this_links_admin.php
| Author: Fangree Productions
| Version: Share This V5.00
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
include INFUSIONS."share_this/infusion_db.php";

if (!checkrights("SHP")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."share_this/locale/".$settings['locale'].".php")) {
	include INFUSIONS."share_this/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."share_this/locale/English.php";
}

add_to_title($locale['global_200'].$locale['sta010']." - ".$locale['sta023b']);

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

    $stsettings = dbarray(dbquery("SELECT * FROM ".DB_SHARE_TABLE.""));
    $error = 0;

	$nenable=(isset($_POST['nenable']) && isNum($_POST['nenable'])) ? $_POST['nenable'] : "0";	
	$aenable=(isset($_POST['aenable']) && isNum($_POST['aenable'])) ? $_POST['aenable'] : "0";
	$cenable=(isset($_POST['cenable']) && isNum($_POST['cenable'])) ? $_POST['cenable'] : "0";
	$dlenable=(isset($_POST['dlenable']) && isNum($_POST['dlenable'])) ? $_POST['dlenable'] : "0";
	$fenable=(isset($_POST['fenable']) && isNum($_POST['fenable'])) ? $_POST['fenable'] : "0";
	$penable=(isset($_POST['penable']) && isNum($_POST['penable'])) ? $_POST['penable'] : "0";
	$urenable=(isset($_POST['urenable']) && isNum($_POST['urenable'])) ? $_POST['urenable'] : "0";
	$bbenable=(isset($_POST['bbenable']) && isNum($_POST['bbenable'])) ? $_POST['bbenable'] : "0";
	$htenable=(isset($_POST['htenable']) && isNum($_POST['htenable'])) ? $_POST['htenable'] : "0";
	
	
if (isset($_POST['savesettings'])) {
    $result = dbquery("UPDATE ".DB_SHARE_TABLE." SET
	nenable='$nenable', aenable='$aenable', cenable='$cenable', dlenable='$dlenable', fenable='$fenable',
	penable='$penable', urenable='$urenable', bbenable='$bbenable', htenable='$htenable'");
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}


include INFUSIONS."share_this/includes/share_this_admin_includes.php";		

   opentable($locale['sta010']." - ".$locale['sta023b']);
	echo"<div class='admin-message-st center'><div class='admin-message'>".$locale['sta002']."</div></div>\n";

	echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";

	//Share This Management 
	echo "<table cellpadding='0' cellspacing='0' width='60%' class='tbl-border' align='center'>\n<tr>\n";

	//Share This News
	echo "<td class='tbl tbl-st'>".$locale['sta003']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='nenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['nenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['nenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Share This Article
	echo "<td class='tbl tbl-st'>".$locale['sta004']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='aenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['aenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['aenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Share This Custom Page
	echo "<td class='tbl tbl-st'>".$locale['sta012']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='cenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['cenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['cenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Share This Download
	echo "<td class='tbl tbl-st'>".$locale['sta008']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='dlenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['dlenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['dlenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Share This Thread
	echo "<td class='tbl tbl-st'>".$locale['sta005']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='fenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['fenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['fenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Share This Photo
	echo "<td class='tbl tbl-st'>".$locale['sta007']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='penable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['penable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['penable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n</tr>\n";
	echo"</table>";

	//Share This Codes
	echo"<div class='admin-message-st center'><div class='admin-message'>".$locale['sta023']."</div></div>\n";

	echo "<table cellpadding='0' cellspacing='0' width='60%' class='tbl-border' align='center'>\n<tr>\n";

	//Enable URL Code
	echo "<td class='tbl tbl-st'>".$locale['sta016']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='urenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['urenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($stsettings['urenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Enable BBCode
	echo "<td class='tbl tbl-st'>".$locale['sta017']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='bbenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['bbenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($stsettings['bbenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Enable HTML Code
	echo "<td class='tbl tbl-st'>".$locale['sta018']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='htenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['htenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($stsettings['htenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr>\n";
	echo "</table>\n";

	//Save
	echo "<div width='60%' class='tbl' align='center'>\n";
	echo "<input type='submit' name='savesettings' value='".$locale['sta009']."' class='button' />\n";
	echo"</div>\n";
	echo "</form>\n";

   closetable();
   
   // Please do not remove copyright info
	 echo"<!--share_this_copyright-->\n";
	// End copyright info

require_once THEMES."templates/footer.php";
?>