<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: share_this_ads_admin.php
| Author: Fangree Productions
| Version: Share This V5.00
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
include INFUSIONS."share_this/infusion_db.php";

if (!checkrights("SHP")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."share_this/locale/".$settings['locale'].".php")) {
	include INFUSIONS."share_this/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."share_this/locale/English.php";
}

add_to_title($locale['global_200'].$locale['sta010']." - ".$locale['stads005']);

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

    $stsettings = dbarray(dbquery("SELECT * FROM ".DB_SHARE_TABLE.""));
    $error = 0;

	$stadsenable=(isset($_POST['stadsenable']) && isNum($_POST['stadsenable'])) ? $_POST['stadsenable'] : "0";
    $stads_code = stripslashes($stsettings['stads_code']);
	
if (isset($_POST['savesettings'])) {
    $result = dbquery("UPDATE ".DB_SHARE_TABLE." SET stadsenable='$stadsenable', stads_code='".addslashes($_POST['stads_code'])."'");
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

	include INFUSIONS."share_this/includes/share_this_admin_includes.php";	

	opentable($locale['sta010']." - ".$locale['stads005']);
	echo"<div class='admin-message-st center'><div class='admin-message'>".$locale['stads001']."</div></div>\n";
	
	echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";

	//Google Ads
	echo "<table cellpadding='0' cellspacing='0' width='60%' class='tbl-border' align='center'>\n<tr>\n";
	echo "<td class='tbl tbl-st'>".$locale['stads002']."</td>\n";
	echo "<td class='tbl' align='left'><select name='stadsenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['stadsenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['stadsenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n</tr></table>\n";
	echo"<div class='admin-message-st center'><div class='admin-message'>".$locale['stads004']."</div></div>\n";
	echo "<table cellpadding='0' cellspacing='0' width='60%' class='tbl-border' align='center'>\n<tr>\n";
	echo" <td style='text-align:center;' class='tbl'> <textarea rows='10' cols='60' class='textbox' name='stads_code' value='".$locale['stads003']."'>".$stads_code."</textarea></td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	//Save
	echo "<div width='60%' class='tbl' align='center'>\n";
	echo "<input type='submit' name='savesettings' value='".$locale['sta009']."' class='button' />\n";
	echo"</div>\n";
	echo "</form>\n";

    closetable();
	
	// Please do not remove copyright info
	 echo"<!--share_this_copyright-->\n";
	// End copyright info

require_once THEMES."templates/footer.php";
?>