<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: share_this_social_admin.php
| Author: Fangree Productions
| Version: Share This V5.00
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
include INFUSIONS."share_this/infusion_db.php";

if (!checkrights("SHP")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."share_this/locale/".$settings['locale'].".php")) {
	include INFUSIONS."share_this/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."share_this/locale/English.php";
}

add_to_title($locale['global_200'].$locale['sta010']." - ".$locale['ata020c']);

// Boxover Javascript
add_to_footer("<script src='".INFUSIONS."share_this/includes/boxover.js' type='text/javascript'></script>");

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

    $stsettings = dbarray(dbquery("SELECT * FROM ".DB_SHARE_TABLE.""));
    $error = 0;

	$adnenable=(isset($_POST['adnenable']) && isNum($_POST['adnenable'])) ? $_POST['adnenable'] : "0";
	$adaenable=(isset($_POST['adaenable']) && isNum($_POST['adaenable'])) ? $_POST['adaenable'] : "0";
	$adpenable=(isset($_POST['adpenable']) && isNum($_POST['adpenable'])) ? $_POST['adpenable'] : "0";
	$addlenable=(isset($_POST['addlenable']) && isNum($_POST['addlenable'])) ? $_POST['addlenable'] : "0";
	$adfenable=(isset($_POST['adfenable']) && isNum($_POST['adfenable'])) ? $_POST['adfenable'] : "0";
	$fpenable=(isset($_POST['fpenable']) && isNum($_POST['fpenable'])) ? $_POST['fpenable'] : "0";
	$adphenable=(isset($_POST['adphenable']) && isNum($_POST['adphenable'])) ? $_POST['adphenable'] : "0";
	$denable=(isset($_POST['denable']) && isNum($_POST['denable'])) ? $_POST['denable'] : "0";
	$faenable=(isset($_POST['faenable']) && isNum($_POST['faenable'])) ? $_POST['faenable'] : "0";
	$genable=(isset($_POST['genable']) && isNum($_POST['genable'])) ? $_POST['genable'] : "0";
	$lenable=(isset($_POST['lenable']) && isNum($_POST['lenable'])) ? $_POST['lenable'] : "0";
	$renable=(isset($_POST['renable']) && isNum($_POST['renable'])) ? $_POST['renable'] : "0";
	$senable=(isset($_POST['senable']) && isNum($_POST['senable'])) ? $_POST['senable'] : "0";
	$twenable=(isset($_POST['twenable']) && isNum($_POST['twenable'])) ? $_POST['twenable'] : "0";
	$benable=(isset($_POST['benable']) && isNum($_POST['benable'])) ? $_POST['benable'] : "0";
	$favenable=(isset($_POST['favenable']) && isNum($_POST['favenable'])) ? $_POST['favenable'] : "0";
	
	
if (isset($_POST['savesettings'])) {
    $result = dbquery("UPDATE ".DB_SHARE_TABLE." SET
	adnenable='$adnenable', adaenable='$adaenable', adpenable='$adpenable', fpenable='$fpenable', addlenable='$addlenable', adfenable='$adfenable', adphenable='$adphenable', 
	denable='$denable', faenable='$faenable', genable='$genable', lenable='$lenable', renable='$renable', senable='$senable', twenable='$twenable', benable='$benable', favenable='$favenable'");
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

include INFUSIONS."share_this/includes/share_this_admin_includes.php";	

	opentable($locale['sta010']." - ".$locale['ata020c']);
	//Social Sharing Management 
	echo"<div class='admin-message-st center'><div class='admin-message'>".$locale['sta014']."</div></div>\n";
	
	echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";

	echo "<table cellpadding='0' cellspacing='0' width='60%' class='tbl-border' align='center'>\n<tr>\n";

	//Social Sharing News  Activation
	echo "<td class='tbl tbl-st'>".$locale['ata015']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='adnenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['adnenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['adnenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Social Sharing Article  Activation
	echo "<td class='tbl tbl-st'>".$locale['ata016']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='adaenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['adaenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['adaenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Social Sharing Page  Activation
	echo "<td class='tbl tbl-st'>".$locale['ata020']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='adpenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['adpenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['adpenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Social Sharing Download  Activation
	echo "<td class='tbl tbl-st'>".$locale['ata020b']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='addlenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['addlenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['addlenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Social Sharing Thread  Activation
	echo "<td class='tbl tbl-st'>".$locale['ata017']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='adfenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['adfenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['adfenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Share This Forum Post
	echo "<td class='tbl tbl-st'>".$locale['sta006']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='fpenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['fpenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['fpenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Social Sharing Photo Activation
	echo "<td class='tbl tbl-st'>".$locale['ata018']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='adphenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['adphenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['adphenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td></tr>\n";

	echo"</table>\n";

	//Social Sharing Destination Management 
	echo"<div class='admin-message-st center'><div class='admin-message'><strong>Dodaj w Serwisach</strong></div></div>\n";
	echo "<table cellpadding='0' cellspacing='0' width='60%' class='tbl-border' align='center'>\n<tr>\n";

	//Delicious
	echo "<td class='tbl tbl-st'>".$locale['ata001']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='denable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['denable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['denable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Facebook
	echo "<td class='tbl tbl-st'>".$locale['ata002']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='faenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['faenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['faenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Google
	echo "<td class='tbl tbl-st'>".$locale['ata003']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='genable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['genable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['genable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Live
	echo "<td class='tbl tbl-st'>".$locale['ata004']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='lenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['lenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['lenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Redit
	echo "<td class='tbl tbl-st'>".$locale['ata005']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='renable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['renable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['renable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//StumbleUpon
	echo "<td class='tbl tbl-st'>".$locale['ata006']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='senable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['senable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['senable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//TwittThis
	echo "<td class='tbl tbl-st'>".$locale['ata008']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='twenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['twenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['twenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Yahoo 
	echo "<td class='tbl tbl-st'>".$locale['ata009']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='benable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['benable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['benable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

	//Favourites
	echo "<td class='tbl tbl-st'>".$locale['ata011']."</td>\n";
	echo "<td class='tbl tbl2-st'><select name='favenable' class='textbox'>\n";
	echo "<option value='1'".($stsettings['favenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	echo "<option value='0'".($stsettings['favenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n</tr><tr>\n";

	echo "</table>\n";


	//Save
	echo "<div width='60%' class='tbl' align='center'>\n";
	echo "<input type='submit' name='savesettings' value='".$locale['sta009']."' class='button' />\n";
	echo"</div>\n";
	echo "</form>\n";

	closetable();
	
	// Please do not remove copyright info
	 echo"<!--share_this_copyright-->\n";
	// End copyright info

require_once THEMES."templates/footer.php";
?>
