<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Share This V5.00
| Filename: infusion.php
| Developers: Fangree_Craig, Nick Jones
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."share_this/infusion_db.php";

if (file_exists(INFUSIONS."share_this/locale/".$settings['locale'].".php")) {
	include INFUSIONS."share_this/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."share_this/locale/English.php";
}

// Infusion general information
$inf_title = $locale['sta010'];
$inf_description = $locale['sta011'];
$inf_version = "5.00";
$inf_developer = "Fangree Productions ";
$inf_email = "admin@fangree.co.uk";
$inf_weburl = "http://www.fangree.co.uk";

$inf_folder = "share_this";

$inf_newtable[1] = DB_SHARE_TABLE." (
nenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
aenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
cenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
dlenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
fenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
fpenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
penable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
urenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
bbenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
htenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
adnenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
adaenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
adpenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
addlenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
adfenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
adphenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
denable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
faenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
genable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
lenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
renable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
senable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
twenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
benable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
favenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
flfaenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
fllayout TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
flnenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
flaenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
flfenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
flphenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
flcenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
fldlenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
stadsenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
stads_code TEXT DEFAULT '' NOT NULL,
PRIMARY KEY (nenable)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_SHARE_TABLE." (nenable, aenable, cenable, dlenable, fenable, fpenable, penable, urenable, bbenable, htenable, adnenable, adaenable,  adpenable, addlenable, adfenable, adphenable, denable, faenable, genable, lenable, renable, senable, twenable, benable, favenable, flfaenable, fllayout, flnenable, flaenable, flfenable,  flphenable, flcenable, fldlenable, stadsenable, stads_code) VALUES ('0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '".$locale['stads003']."')";
$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['sta010']."', panel_filename='share_this_panel', panel_content='', panel_side=3, panel_type='file', panel_access='0', panel_display='1', panel_status='1', panel_url_list='', panel_restriction='0'";
$inf_droptable[1] = DB_SHARE_TABLE;
$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='share_this_panel'";

$inf_adminpanel[1] = array(
	"title" => $locale['sta010'],
	"image" => "share_this.gif",
	"panel" => "admin/index.php",
	"rights" => "SHP"
);

?>